Skip to main content
POST
/
gst
/
compliance
/
e-way-bill
/
consignor
/
bill
/
{ewb_no}
/
multi-vehicle
curl --request POST \ --url https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/bill/{ewb_no}/multi-vehicle \ --header 'Content-Type: application/json' \ --header 'authorization: <authorization>' \ --header 'x-api-key: <x-api-key>' \ --data ' { "ewbNo": 291010080003, "fromPlace": "BANGALORE", "fromState": 29, "reasonCode": "1", "reasonRem": "vehicle broke down", "toPlace": "Beml Nagar", "toState": 24, "totalQuantity": 33, "transMode": "1", "unitCode": "NOS" } '
{ "code": 200, "data": { "error": { "errorCodes": "646," }, "info": "", "status": "0" }, "timestamp": 1763446641000, "transaction_id": "a1dbfc06-be89-4692-8406-87c822756bcc" }

Request body schema

View request body schema

Headers

authorization
string
required

E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the authorization header.

x-api-key
string
required

API key for identification

x-api-version
string
default:1.0.0

API version

Path Parameters

ewb_no
string
required
Example:

"171002233847"

Body

application/json
ewbNo
number
Example:

291010080003

fromPlace
string
Example:

"BANGALORE"

fromState
number
Example:

29

reasonCode
string
Example:

"1"

reasonRem
string
Example:

"vehicle broke down"

toPlace
string
Example:

"Beml Nagar"

toState
number
Example:

24

totalQuantity
number
Example:

33

transMode
string
Example:

"1"

unitCode
string
Example:

"NOS"

Response

200 - application/json

200 Multi-vehicle movement initiated / 645 Part B already updated / 381 Part B is not updated / 646 Consignee cannot initiate multi-vehicle movement

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"011bfe03-d1c4-43ed-8b18-d0ed34e50ca9"